# QuickHashStringIntHash::get

(No version information available, might only be in Git)

QuickHashStringIntHash::get — This method retrieves a value from the hash by its key

### 说明

public QuickHashStringIntHash::get(string `$key`): mixed

This method retrieves a value from the hash by its key.

### 参数

`key`
  The key of the entry to retrieve.

### 返回值

The value if the key exists, or `null` if the key wasn't part of the hash.

### 示例

示例 #1 QuickHashStringIntHash::get() example

`<?php
$hash = new QuickHashStringIntHash( 8 );
var_dump( $hash->get( "one" ) );
var_dump( $hash->add( "two", 2 ) );
var_dump( $hash->get( "two" ) );
?>`

以上示例的输出类似于：

    bool(false)
    bool(true)
    int(2)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open